# highlight-search-text

Responsive component for syntax highlighting when searching.

## [Demo](http://shushan.ofshant.com/)

### Installation

react version >= 16.8

```bash
npm install highlight-search-text --save
```

### Import

```js
import HighlightText from 'highlight-search-text';
```

### Usage

```js
<HighlightText
  search={search}
  text={text}
  highlightClassName="highlight"
  containerClassName="container"
  className="other"
  caseIgnore
  spaceIgnore
  startWord
  endWord
  fullWord
  all
/>
```

### How it works

```html
<HighlightText
  search="Once Upon A Time, In A Galaxy Far..."
  text="on"
  highlightClassName="highlight"
  containerClassName="container"
  className="other"
  caseIgnore
  all
>

<span class="container">
  <span class="highlight">On</span>
  <span class="other">ce Up</span>
  <span class="highlight">on</span>
  <span class="other"> A Time, In A Galaxy Far...</span>
</span>
```

### Attributes

| Attributes          | Type     | Default | Description |
| ----------          | ----     | ------- | ----------- |
| search              | string   | ''      | It’s what we are looking for |
| text                | string   | ''      | It’s where we looking for |
| highlightClassName  | string   | ''      | Highlighted text class |
| containerClassName  | string   | ''      | Container class |
| className           | string   | ''      | Other element class |
| caseIgnore          | boolean  | false   | By choosing case ignore search function is happening without consideration of LowerCase and UpperCase |
| spaceIgnore         | boolean  | false   | By choosing space  ignore search function is happening without consideration of spaces between words |
| startWord           | boolean  | false   | By choosing StartWord search function shows words which start with letters that are written in search area |
| endWord             | boolean  | false   | By choosing EndWord search function shows words which end with letters that are written in search area |
| fullWord            | boolean  | false   | By choosing FullWord search function shows words which contain every letter that are written in search area |
| all                 | boolean  | false   | By choosing All search function shows all the results which match with letters that are written in search area, without it only first word that matches letters written in search area |
